## warptv

warptv — WarpTV does realtime goo'ing of the video input

## Types and Values

struct | GstWarpTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstWarpTV

## Description

WarpTV does realtime goo'ing of the video input.

### Example launch line

    1

    gst-launch-1.0 -v videotestsrc ! warptv ! videoconvert ! autovideosink

This pipeline shows the effect of warptv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Sam Lantinga <slouken@devolution.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstWarpTV

    struct GstWarpTV;